ProsePoint 0.05

  • strict warning: Non-static method view::load() should not be called statically in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/views.module on line 879.
  • strict warning: Declaration of views_handler_argument::init() should be compatible with views_handler::init(&$view, $options) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/handlers/views_handler_argument.inc on line 0.
  • strict warning: Declaration of views_handler_filter::options_validate() should be compatible with views_handler::options_validate($form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/handlers/views_handler_filter.inc on line 0.
  • strict warning: Declaration of views_handler_filter::options_submit() should be compatible with views_handler::options_submit($form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/handlers/views_handler_filter.inc on line 0.
  • strict warning: Declaration of views_handler_filter_node_status::operator_form() should be compatible with views_handler_filter::operator_form(&$form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/modules/node/views_handler_filter_node_status.inc on line 0.
  • strict warning: Non-static method view::load() should not be called statically in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/views.module on line 879.
  • strict warning: Declaration of views_handler_filter_boolean_operator::value_validate() should be compatible with views_handler_filter::value_validate($form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/handlers/views_handler_filter_boolean_operator.inc on line 0.
  • strict warning: Declaration of date_api_filter_handler::value_validate() should be compatible with views_handler_filter::value_validate($form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/date/includes/date_api_filter_handler.inc on line 0.
  • strict warning: Non-static method view::load() should not be called statically in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/views.module on line 879.
  • strict warning: Declaration of views_plugin_row::options_validate() should be compatible with views_plugin::options_validate(&$form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/plugins/views_plugin_row.inc on line 0.
  • strict warning: Declaration of views_plugin_row::options_submit() should be compatible with views_plugin::options_submit(&$form, &$form_state) in /home/prosepoint.org/bzr/public_html/profiles/prosepoint/modules/views/plugins/views_plugin_row.inc on line 0.
Release Notes
VersionDateSizeDownload
ProsePoint 0.05 23rd October 2008 5374 KB prosepoint-0.05.tar.gz

ProsePoint version 0.05 is a bugfix release over 0.04. There is one security fix, a couple of upgrades and one bugfix. There are no new features.

Security Fixes

ProsePoint 0.05 fixes one upstream security vulnerability:

Other Changes

  • Upgraded two upstream components: Drupal core and Views

The changelog can be found here.

Bugs

Unfortunately, ProsePoint 0.05 (and 0.04) has a critical installation related bug. On a server with PHP less than 5.2.x, the installation process crashes halfway and you'll see a blank screen. For a workaround, see https://bugs.launchpad.net/prosepoint/+bug/288698.

Upgrading from ProsePoint 0.03

For the purposes of upgrading from ProsePoint version 0.03, version 0.05 is identical to version 0.04.

Please visit the page Upgrading ProsePoint in the user guide.

If, during the upgrade, you encounter the error message Call to undefined function template_preprocess_content_field() in .../profiles/prosepoint/themes/tma/tma2/template.php on line 76, then you didn't replace 0.05 over the top of 0.03 cleanly. Please delete the subdirectory .../profiles, re-copy/upload your files, and try again.

Upgrading from ProsePoint 0.04

To upgrade ProsePoint from version 0.04 to 0.05, please visit the page Upgrading ProsePoint in the user guide.

Notes

Further information will be made available as they are known.